"use client";
import React, { useState } from "react";
import Box from "@mui/material/Box";
import Button from "@mui/material/Button";
import Typography from "@mui/material/Typography";
import Modal from "@mui/material/Modal";
import Rating from "@mui/material/Rating";
import StarIcon from "@mui/icons-material/Star";
import { Avatar } from "@mui/material";
const style = {
  position: "absolute" as "absolute",
  top: "50%",
  left: "50%",
  transform: "translate(-50%, -50%)",
  width: "90%",
  maxWidth: 400,
  bgcolor: "background.paper",
  border: "none",
  boxShadow: 24,
  borderRadius: 4,
  p: 4,
};
const labels: { [index: string]: string } = {
  0.5: "Useless",
  1: "Useless+",
  1.5: "Poor",
  2: "Poor+",
  2.5: "Ok",
  3: "Ok+",
  3.5: "Good",
  4: "Good+",
  4.5: "Excellent",
  5: "Excellent+",
};

const HomePage = () => {
  const [value, setValue] = React.useState<number | null>(2);
  const [hover, setHover] = React.useState(-1);
  const [open, setOpen] = useState(false);
  const handleOpen = () => setOpen(true);
  const handleClose = () => setOpen(false);
  return (
    <Box>
      <Button onClick={handleOpen}>Open modal</Button>
      <Modal
        open={open}
        onClose={handleClose}
        aria-labelledby="modal-modal-title"
        aria-describedby="modal-modal-description"
      >
        <Box sx={style}>
          <Box
            sx={{
              width: "100%",
              display: "flex",
              alignItems: "center",
              justifyContent: "center",
              marginBlockEnd: 2,
            }}
          >
            <Rating
              name="hover-feedback"
              value={value}
              size="large"
              precision={0.5}
              onChange={(event, newValue) => {
                setValue(newValue);
              }}
              onChangeActive={(event, newHover) => {
                setHover(newHover);
              }}
              emptyIcon={
                <StarIcon style={{ opacity: 0.55 }} fontSize="inherit" />
              }
            />
            {/* {value !== null && (
              <Box sx={{ ml: 2 }}>{labels[hover !== -1 ? hover : value]}</Box>
            )} */}
          </Box>
          <Typography
            variant="caption"
            display="block"
            gutterBottom
            sx={{ textAlign: "center" }}
          >
            April 17, 03:30PM
          </Typography>
          <Typography
            variant="body2"
            id="modal-modal-description"
            sx={{ mb: 2, mt: 2, textAlign: "center" }}
          >
            "Lorem ipsum dolor, sit amet consectetur adipisicing elit.
            Temporibus laborum molestiae vitae ipsum sit officia accusantium
            atque cupiditate modi odio, earum harum, iste a tenetur quam dolor,
            totam nisi? Dolorem."
          </Typography>
          <Avatar
            sx={{
              width: 34,
              height: 34,
              marginInline: "auto",
              cursor: "pointer",
              background: "var(--primary_light)",
              color: "var(--primary_Active_text)",
              fontSize: "0.8rem",
            }}
            alt="Remy Sharp"
            src="/static/images/avatar/1.jpg"
          />
          <Box
            display={"flex"}
            alignItems={"center"}
            justifyContent={"center"}
            gap={2}
            marginBlockStart={1}
          >
            <Box
              flex={1}
              textAlign={"center"}
              display={"flex"}
              flexDirection={"column"}
            >
              <Typography variant="body1" sx={{ m: 0, lineHeight: 1 }}>
                Amit Roy
              </Typography>
              <Typography variant="caption" sx={{ m: 0 }}>
                amit.roy@sentientgeeks.com
              </Typography>
            </Box>
          </Box>
        </Box>
      </Modal>
    </Box>
  );
};

export default HomePage;
